package thread;

import com.yanzuoguang.util.exception.CodeException;
import com.yanzuoguang.util.log.Log;
import com.yanzuoguang.util.thread.RunnableListAuto;
import com.yanzuoguang.util.thread.ThreadHelper;
import org.junit.Test;

public class TestRunnableListAuto {

    private void runTest(boolean throwError) {
        RunnableListAuto.run(throwError, new Runnable() {
            @Override
            public void run() {
                ThreadHelper.sleep(1000);
                throw new CodeException("00", "等待2秒秒");
            }
        }, new Runnable() {
            @Override
            public void run() {
                ThreadHelper.sleep(2000);
                throw new CodeException("00", "等待2秒秒");
            }
        });
    }

    @Test
    public void test() {
        try {
            runTest(true);
            throw new CodeException("没有抛出异常");
        } catch (Exception ex) {
            // Log.error(TestRunnableListAuto.class, ex);
        }
    }

    @Test
    public void test1() {
        runTest(false);
    }
}
